# xarray.Dataset.differentiate

`Dataset.``differentiate`(coord, edge_order=1, datetime_unit=None)

  Differentiate with the second order accurate central differences.

  Note

  This feature is limited to simple cartesian geometry, i.e. coord must be one dimensional.

  Parameters:

  - coord (str) – The coordinate to be used to compute the gradient.
  - edge_order (1 or 2. Default 1) – N-th order accurate differences at the boundaries.
  - datetime_unit (None or any of {'Y', 'M', 'W', 'D', 'h', 'm', 's', 'ms',) – ‘us’, ‘ns’, ‘ps’, ‘fs’, ‘as’} Unit to compute gradient. Only valid for datetime coordinate.

  Returns: | differentiated
  Return type: | Dataset

  See also

  `numpy.gradient()`
    corresponding numpy function